<?
### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
######################################################################################################################

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
  define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
  define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
  session_start();
  header( 'Content-type: text/html; charset=windows-1251' );
  include_once ROOT_DIR . '/engine/config.php';
  include_once ROOT_DIR . '/engine/function.php';
} else {
  if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
  echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
	<button type="button" class="close" data-dismiss="alert" aria-label="Close">
		<span aria-hidden="true">&times;</span>
	</button>
	<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
	<p style="font-size: 14px;">Вы не авторизированы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
	<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
  </div>';
} else
if ( !$config_user['activate'] ) {
  echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
	<button type="button" class="close" data-dismiss="alert" aria-label="Close">
		<span aria-hidden="true">&times;</span>
	</button>
	<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
	<p style="font-size: 14px;">Для продолжения, Вам необходимо активировать свой аккаунт, перейдя в раздел <a class="a_link" href="/profile" >настройки аккаунта</a>. </p>
  </div>';
} else {
  #Удаление просмотреные ссылки в серфинге
  mysql_query( "DELETE FROM autodynlink_temp WHERE date <= '" . time() . "'" );

  #Cтавим на паузу если баланс меньше цены
  $sh_dyn = mysql_query( "SELECT * FROM autodynlink WHERE paused = 1" );
  if ( mysql_num_rows( $sh_dyn ) > 0 ) {
	while ( $sh_dyn_row = mysql_fetch_array( $sh_dyn ) ) {
	  switch ( $sh_dyn_row['timer'] ) {
		case 0: $stymer = $config['autodyn10']; break;
		case 1: $stymer = $config['autodyn20']; break;
		case 2: $stymer = $config['autodyn30']; break;
		case 3: $stymer = $config['autodyn40']; break;
		case 4: $stymer = $config['autodyn50']; break;
		case 5: $stymer = $config['autodyn60']; break;
	  }
		
	  if ( $sh_dyn_row['balance'] < $stymer) {
		mysql_query( "UPDATE autodynlink SET paused = 0 WHERE id = '" . $sh_dyn_row['id'] . "'" );
	  }
	}
  }

  #Определяем страну 
  $regcode = find_country();

  #Центральный запрос выборки (список)
  $allautoserfing1 = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM autodynlink t1  WHERE t1.paused = 1 and NOT EXISTS ( SELECT ident FROM autodynlink_temp t2 WHERE t1.id = t2.ident and t2.iduser = '" . $_SESSION['iduser'] . "' ) and NOT EXISTS ( SELECT ident FROM autoserf_ban_url t3 WHERE t1.id = t3.ident and t3.iduser = '" . $_SESSION['iduser'] . "' ) and id IN (SELECT id FROM autodynlink WHERE geo_ru = '".$regcode."' OR geo_ua = '".$regcode."' OR geo_by = '".$regcode."' OR geo_kz = '".$regcode."' OR geo_ge = '".$regcode."' OR geo_md = '".$regcode."' OR geo_am = '".$regcode."' OR geo_tj = '".$regcode."' OR geo_az = '".$regcode."' OR geo_uz = '".$regcode."' OR geo_pt = '".$regcode."' OR geo_es = '".$regcode."' OR geo_ee = '".$regcode."' OR geo_lv = '".$regcode."' OR geo_lt = '".$regcode."' OR geo_us = '".$regcode."' OR geo_gb = '".$regcode."' OR geo_fr = '".$regcode."' OR geo_de = '".$regcode."' OR geo_cn = '".$regcode."' OR geo_it = '".$regcode."' OR geo_all = '".$regcode."') LIMIT 1" ) );

  #Помечаем кнопку активным или не активным css
  if($allautoserfing1['count'] == 0) {
	$start_button = '<a href="#" class="btn btn-primary" style="cursor: not-allowed" >Начать просмотр?</a>';
  } else {
	$start_button = '<a href="'.$config_site['serf_url'].'/auto" class="btn btn-primary" target="_blank">Начать просмотр?</a>';
  }
  
  include_once ROOT_DIR . '/modules/panel_manager/section_earnings.php';
  ?>
	<div class="content_bar">
	  <article class="postBox">
		<div class="image_autoserfing_p"></div>
		<p class="earnings_text" style="color: #545454;">
		  Вы можете дополнительно заработать, запустив просмотр авто-серфинга, вам не придется проходить капчу, и переключатся между сайтами, система автоматически, и поочередно будет посматривать сайты, зачислять вам деньги и вести статистику, все что вам нужно сделать это нажать на кнопку старта!
		</p>

		<div class="auto_serf_blok">
		  <div class="div_centralizator">
			<div class="card card-block text-xs-center">
			  <h4 class="card-title">Запуск авто-серфинга</h4>
			  <p class="card-text">На данный момент вам доступно <b><?=$allautoserfing1['count']?></b> ссылок к просмотру.</p>
			  <?=$start_button?>
			</div>
		  </div>
		</div>
		
		<div class="banner_gorizontal banner_gorizontal_fix"><? include_once ROOT_DIR . '/modules/banner468x60/rotator.php';?></div>
		<? include_once ROOT_DIR . '/modules/statlink/statlink.php';?>
	
	  </article>
	</div>
  <?
}
?>





